%define module_name	opendpi
%define module_version	1.3.0
%define module_release alt2

%define flavour		std-def
BuildRequires(pre): rpm-build-kernel
BuildRequires(pre): kernel-headers-modules-std-def

%setup_kernel_module %flavour
%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.%kcode.%kbuildrelease

Group: System/Kernel and hardware
Summary: This package is a GPL implementation of an iptables and netfilter module for OpenDPI integration into the Linux kernel
Url: http://opendpi.org/
License: GPLv4

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kepoch%kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: rpm-build-licenses iptables-devel
ExclusiveArch: %karch

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kepoch%kversion-%krelease
Requires: iptables-opendpi

%description
This package is a GPL implementation of an iptables and netfilter module for OpenDPI integration into the Linux kernel.

%prep
rm -rf kernel-source-%module_name-%{module_version}*
tar xjf %kernel_src/kernel-source-%module_name-%module_version.tar.*
%setup -D -T -n kernel-source-%module_name-%module_version

%build
export OPENDPI_PATH=$(pwd)
cd wrapper
%make KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p %buildroot/%module_dir
install -D -m0644 wrapper/src/xt_opendpi.ko  %buildroot%module_dir/

%files
%module_dir/*

%changelog
* %(date "+%%a %%b %%d %%Y") %{?package_signer:%package_signer}%{!?package_signer:%packager} %version-%release
- Build for kernel-image-%flavour-%kversion-%krelease.

* Mon Dec 17 2012 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.3.0-alt2
- new template

* Tue Oct 04 2011 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.3.0-alt1
- 1.3.0

* Sun Apr 10 2011 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2.0-alt1
- first build for Sisyphus
